Subject: Re: Problem with gcc

From: Francois Desloges <[email-masked]>
Date: Mon, 27 Sep 1999 15:39:50 -0400

On Sat, 25 Sep 1999, Benjamin Stocks wrote:
> Hi in the process of building an cross compiling glibc on an i86 box, I
> realized that I built the cross compiling gcc2.95 wrong so I went back
> to do it right and hit an error. The build appears to run normal for a
> little while and then exits with this error:
> 
> make[3]: Entering directory
> `/usr/local/arm/src/gcc-2.95/arm-linux/libiberty'
> make[3]: *** No targets.  Stop.
> make[3]: Leaving directory
> `/usr/local/arm/src/gcc-2.95/arm-linux/libiberty'
> make[2]: *** [../libiberty/libiberty.a] Error 2
> make[2]: Leaving directory
> `/usr/local/arm/src/gcc-2.95/arm-linux/libstdc++'
> make[1]: *** [all-target-libstdc++] Error 2
> make[1]: Leaving directory `/usr/local/arm/src/gcc-2.95'
> make: *** [cross] Error 2
> ... Has anyone gotten this error before? 
I did  when following ChrisR otherwise excellent toolchain guide, I executed
# make LANGUAGES="c"
from within the gcc directory instead of from the base directory.
Not doing
# cd gcc
after configuring, gave me the proper result, for reason explained by Philip
Blundell in the mail archive.

Hope it will work for you!
--
François Desloges
[email-masked]
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]